Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui
Class MainWindow

    java.lang.Object
      semorg.gui.MainWindow

    public class MainWindow

extends Object

The main window of the application providing several menus to gain access of all the other windows of the application.

Field Summary
`private org.eclipse.swt.widgets.Display` | `display` The display which contains all the windows.
`private Configuration` | `huSemOrgConf` Holds the configuration of the application.
`private static MainWindow` | `instance` Static instance of the `MainWindow` to allow the other windows an easy access to some call attributes (e.g. the `shell`).
`private org.eclipse.swt.widgets.Shell` | `shell` The shell (window) used to draw the `MainWindow`.

Constructor Summary
`MainWindow(org.eclipse.swt.widgets.Display disp)` Creates a `MainWindow` instance with the given values.

Method Summary
`private void` | `centerShell()` Centers the shell on the screen.
`private void` | `createListWindows()` Creates all static list window instances.
`private void` | `createMenu()` Creats all the menus in the `MainWindow`.
`private void` | `createStatusBar()` Creates a status bar.
`Configuration` | `getConfiguration()` Returns a `Configuration` object which contains the actual configuration.
`static MainWindow` | `getInstance()` Returns the static instance of the `MainWindow`.
`org.eclipse.swt.widgets.Shell` | `getShell()`
`static void` | `main(String[] args)` The main function which implements the application starting process: loading the configuration file or create one with the default configuration if it does not exist.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static MainWindow instance

  Static instance of the `MainWindow` to allow the other windows an easy access to some call attributes (e.g. the `shell`).

### shell

    private org.eclipse.swt.widgets.Shell shell

  The shell (window) used to draw the `MainWindow`.

### display

    private org.eclipse.swt.widgets.Display display

  The display which contains all the windows.

### huSemOrgConf

    private Configuration huSemOrgConf

  Holds the configuration of the application.

Constructor Detail

### MainWindow

    public MainWindow(org.eclipse.swt.widgets.Display disp)

  Creates a `MainWindow` instance with the given values.

  Parameters:
    `disp` - The display used to draw the windows of this application.

Method Detail

### createListWindows

    private void createListWindows()

  Creates all static list window instances.

### centerShell

    private void centerShell()

  Centers the shell on the screen.

### createStatusBar

    private void createStatusBar()

  Creates a status bar.

### createMenu

    private void createMenu()

  Creats all the menus in the `MainWindow`.

### getShell

    public org.eclipse.swt.widgets.Shell getShell()

### getInstance

    public static MainWindow getInstance()

  Returns the static instance of the `MainWindow`.

### getConfiguration

    public Configuration getConfiguration()

  Returns a `Configuration` object which contains the actual configuration.

### main

    public static void main(String[] args)

  The main function which implements the application starting process:
  - loading the configuration file or create one with the default configuration if it does not exist.
  - initialization of the database connection including the creating of the catalog and its tables if they does not exist.
  - creating a `MainWindow` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD